import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Very big.
 * 
 * @author Ninto
 * @version 0.1
 */
public class BigEnemy  extends Enemy
{
    /**How much this is worth*/
    private int price;
    /**The maximum health*/
    private int maxHealth;
    
    /**
     * Create a bigEnemy.
     */
    public BigEnemy(int strength, int health, int price) {
        super(strength, health, 1, price);
        this.price = price;
        maxHealth = health;
    }
    
    public void die() {
        getWorld().setMoney(getWorld().getMoney()+price);
        getWorld().addObject(new SmallEnemy(strength/2+1, maxHealth/2+1, getRotation()), getX(), getY());
        getWorld().removeObject(this);
        Greenfoot.playSound("die.wav");
    }
}