import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A <i><b>BOMB!</i></b>
 * 
 * @author Ninto
 * @version 0.1
 */
public class Bomb  extends Bullet
{
    /**
     * Create a <i><b>BOMB!</i></b>
     */
    public Bomb(int dir, int Atk) {
        super(dir, Atk);
    }
    
    /**
     * The <i><b>BOMB</i></b> hitted!
     */
    protected void hit() {
        getWorld().addObject(new Smoke(true), getX(), getY());
        java.util.List<Enemy> targets = getObjectsInRange(100, Enemy.class);
        for(int i=0; i<targets.size(); i++){
            Enemy target = (Enemy)targets.get(i);
            target.health -= damage;
        }
        Greenfoot.playSound("explosion.wav");
    }
}