import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A bullet-shooting turret.
 * 
 * @author Ninto
 * @version 0.1
 */
public class BulletTurret  extends Turret
{
    protected void shootBullet() {
        int x = (int)Math.round(Math.cos(Math.toRadians(getRotation()))*staticImg.getWidth()/2)+getX();
        int y = (int)Math.round(Math.sin(Math.toRadians(getRotation()))*staticImg.getHeight()/2)+getY();
        getWorld().addObject(new Bullet(getRotation(), attack), x, y);
    }
}