import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class FlameTurret  extends Turret
{
    public FlameTurret() {
        range = 50;
        rate = 12;
        staticImg = new GreenfootImage("flameTurret.png");
        price = 30;
    }
    
    protected void shootBullet() {
        int x = (int)Math.round(Math.cos(Math.toRadians(getRotation()))*staticImg.getWidth()/2)+getX();
        int y = (int)Math.round(Math.sin(Math.toRadians(getRotation()))*staticImg.getHeight()/2)+getY();
        getWorld().addObject(new Flame(getRotation(), attack), x, y);
    }
}