import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class FrozenTurret  extends Turret
{
    public FrozenTurret() {
        range = 50;
        rate = 32;
        staticImg = new GreenfootImage("iceTurret.png");
        price = 30;
    }
    
    protected void shootBullet() {
        int x = (int)Math.round(Math.cos(Math.toRadians(getRotation()))*staticImg.getWidth()/2)+getX();
        int y = (int)Math.round(Math.sin(Math.toRadians(getRotation()))*staticImg.getHeight()/2)+getY();
        getWorld().addObject(new Snowflake(getRotation(), attack), x, y);
    }
}