import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * An actor with 2 grids.
 * 
 * @author Ninto
 * @version 0.1
 */
public abstract class GridActor  extends Actor
{
    private int gridSize;
    
    public GridActor(int gridSize) {
        this.gridSize = gridSize;
    }
    
    public void grid() {
        int x = getX()-(getX() % gridSize);
        int y = getY()-(getY() % gridSize);
        if(getX() % gridSize >= gridSize/2) x+=gridSize-gridSize/2;
        else x+=gridSize/2;
        if(getY() % gridSize >= gridSize/2) y+=gridSize-gridSize/2;
        else y+=gridSize/2;
        setLocation(x, y);
    }
    
    public myWorld getWorld() {
        return (myWorld)super.getWorld();
    }
    
    public int getGridX() {
        int x = getX()-(getX() % gridSize);
        if(getX() % gridSize >= gridSize/2) x+=gridSize-gridSize/2;
        else x+=gridSize/2;
        return x;
    }
    
    public int getGridY() {
        int y = getY()-(getY() % gridSize);
        if(getY() % gridSize >= gridSize/2) y+=gridSize-gridSize/2;
        else y+=gridSize/2;
        return y;
    }
}