import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A path.
 * 
 * @author Ninto
 * @version 0.1
 */
public class Path  extends GridActor
{
    private int dir;
    private boolean turn;
    /**The images*/
    private static final GreenfootImage[] img = {
        new GreenfootImage("sandTurn1.png"),
        new GreenfootImage("sandTurn2.png"),
        new GreenfootImage("sandTurn3.png"),
        new GreenfootImage("sandTurn4.png"),
    };
    
    /**
     * Create a path.
     */
    public Path() {
        super(32);
    }
    
    public Path(int dir) {
        super(32);
        setImage(img[dir]);
        turn = true;
        this.dir = dir;
    }
    
    /**
     * Added to world.
     */
    protected void addedToWorld(World world) {
        grid();
    }
    
    public int getDirection() {
        if(!turn) return -1;
        return dir;
    }
}