import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * DANGER!
 * 
 * @author Ninto
 * @version 0.1
 */
public class PoisonSmoke  extends Smoke
{
    private int damage;
    
    public PoisonSmoke(boolean children, int damage) {
        super(children);
        if(children) this.children = 10;
        SPREAD = 60;
        this.damage = damage/2+1;
    }
    
    protected void addedToWorld(World world) {
        java.util.List<Enemy> enemies = getIntersectingObjects(Enemy.class);
        if(!enemies.isEmpty()) {
            for(int i=0; i<enemies.size(); i++) {
                Enemy target = (Enemy)enemies.get(i);
                if(myWorld.randomChance(damage*10)) target.setMode(Enemy.POIS_MODE);
            }
        }
    }
    
    /**
     * Spawny...
     */
    protected void spawn() {
        for (int i = 0; i < children; i++) {
            int x = getX() + Greenfoot.getRandomNumber(SPREAD) - (SPREAD/2);
            int y = getY() + Greenfoot.getRandomNumber(SPREAD) - (SPREAD/2);
            getWorld().addObject(new PoisonSmoke(false, damage), x, y);
        }
    }
}