import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Deadly...
 * 
 * @author Ninto
 * @version 0.1
 */
public class PoisonTurret  extends Turret
{
    /**
     * Create a poisonTurret.
     */
    public PoisonTurret() {
        range = 75;
        rate = 64;
        staticImg = new GreenfootImage("poisonTurret.png");
        price = 50;
    }
    
    /**
     * Shoot a poison<i><b>BOMB</i></b>.
     */
    protected void shootBullet() {
        int x = (int)Math.round(Math.cos(Math.toRadians(getRotation()))*staticImg.getWidth()/2)+getX();
        int y = (int)Math.round(Math.sin(Math.toRadians(getRotation()))*staticImg.getHeight()/2)+getY();
        getWorld().addObject(new PoisonBomb(getRotation(), attack), x, y);
    }
}