import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * BASEY.
 * 
 * @author Ninto
 * @version 0.1
 */
public class Base  extends GridActor
{
    /**Max delay*/
    private int spawnRate = 32;
    /**Spawn delay*/
    private int spawn;
    /**The wave*/
    private Wave wave;
    
    /**
     * Create a base.
     */
    public Base() {
        super(32);
    }
    
    /**
     * Added-To-World.
     */
    protected void addedToWorld(World world) {
        grid();
    }
    
    /**
     * Acty... Again again.
     */
    public void act() {
        if(wave.enemiesLeft() && spawn <= 0) {
            spawn();
            spawn = spawnRate;
        }
        spawn--;
    }
    
    /**
     * New wave.
     */
    public void newWave(Wave wave) {
        this.wave = wave;
    }
    
    /**Return WAVE.*/
    public Wave getWave() {
        return wave;
    }
    
    /**
     * Spawn a new enemy.
     */
    private void spawn() {
        getWorld().addObject(wave.next(), getX() + 24, getY());
    }
}