import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A laser-shooting turret.
 * 
 * @author Ninto
 * @version 0.1
 */
public class LaserTurret  extends Turret
{
    /**
     * Create a lasetTurret.
     */
    public LaserTurret() {
        range = 100;
        rate = 0;
        staticImg = new GreenfootImage("laserTurret.png");
        price = 100;
    }
    
    protected void shootBullet() {
        int x = (int)Math.round(Math.cos(Math.toRadians(getRotation()))*staticImg.getWidth()/2)+getX();
        int y = (int)Math.round(Math.sin(Math.toRadians(getRotation()))*staticImg.getHeight()/2)+getY();
        getWorld().addObject(new Laser(getRotation(), attack), x, y);
    }
}