import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A sign with a message.
 * 
 * @author Ninto
 * @version 0.1
 */
public class Sign  extends Actor
{
    /**Create a sign*/
    public Sign(String text, java.awt.Color color, int size) {
        setImage(new GreenfootImage((int)(text.length()*size/1.5), size+2));
        GreenfootImage img = getImage();
        img.setColor(color);
        img.setFont(new java.awt.Font("BIGTEXT", java.awt.Font.BOLD, size));
        img.drawString(text, 1, size+1);
    }
}